<?php
/*
 * @package Joomla 1.5
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted Access');
// get the controller
require_once(JPATH_COMPONENT.DS.'controller.php');
// Require specific controller if requested

if($controller = JRequest::getWord('controller')) {
	$path = JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';
	if (file_exists($path)) {
		require_once $path;
	} else {
		$controller = '';
	}
}

// Create the controller
$classname	= 'MapYandexController'.$controller;
$controller	= new $classname( );
$task = JRequest::getVar( 'task' );

// Perform the Request task
$controller->execute( JRequest::getVar( 'task' ) );

// Redirect if set by the controller
$controller->redirect();

