<?php
/*
 * @package Joomla 1.5
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
// import the JView class
jimport('joomla.application.component.view');

/**
* Foobar View
*/
class MapYandexViewMapYandex extends JView
{
	/**
	 * Hellos view display method
	 * @return void
	 **/
	function display($tpl = null)
	{
		// prepare the cSS
			$css = '.icon-48-mapyandex {
				background: url(\'../media/colorpicker/images/icon-48-mapyandex.png\') 0 0 no-repeat;
			}';
			
			// add the CSS to the document
		$doc =& JFactory::getDocument();
		$doc->addStyleDeclaration($css);
		
		

		$data['task'] = JRequest::getVar('task');
		
		if($data['task'] == 'add') {
		JToolBarHelper::title(   JText::_( 'YANDEXNEWMAP' ), 'mapyandex' );
			JToolBarHelper::cancel();
			JToolBarHelper::save();
		}
		else {
			JToolBarHelper::title(   JText::_( 'NAMECOMPONENT' ), 'mapyandex' );
			JToolBarHelper::preferences('com_mapyandex', '460');
			JToolBarHelper::addNew();
			
			JToolBarHelper::deleteList();
		}
		// interrogate the model
		$foobar =& $this->get('Foobar');
		$this->assignRef('foobar', $foobar);
		
		$pageNav =& $this->get('Reviews');
		$this->assignRef('pageNav', $pageNav);
		
		$params = &JComponentHelper::getParams( 'com_mapyandex' );
				
		$tmpl['apikey'] = $params->get( 'yandex_maps_api_key', '' );


		$this->assignRef( 'tmpl', $tmpl );
		
		
		parent::display($tpl);
	}
}

?>
