<?php
/*
 * @package Joomla 1.5
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
// import the JView class
jimport('joomla.application.component.view');

/**
* Foobar View
*/
class MapYandexViewMapYandexmetki extends JView
{
	/**
	 * Hellos view display method
	 * @return void
	 **/
	function display($tpl = null)
	{
		// prepare the cSS
			$css = '.icon-48-mapyandex {
				background: url(\'../media/colorpicker/images/icon-48-mapyandex.png\') 0 0 no-repeat;
			}';
			
			// add the CSS to the document
		$doc =& JFactory::getDocument();
		$doc->addStyleDeclaration($css);
		
		

		$data['task'] = JRequest::getVar('task');
		
		if($data['task'] == 'add') {
		JToolBarHelper::title(   JText::_( 'NEWNMARKER' ), 'mapyandex' );
			JToolBarHelper::save();
			JToolBarHelper::cancel();
	
		}
		else if($data['task'] == 'edit') {
			JToolBarHelper::title(   JText::_( 'YANDEXMARKEREDIT' ), 'mapyandex' );
		
			JToolBarHelper::save();
			JToolBarHelper::apply();
			JToolBarHelper::cancel();

		}	else {
			JToolBarHelper::title(   JText::_( 'YANDEXNEWMARKER' ), 'mapyandex' );
			JToolBarHelper::preferences('com_mapyandex', '460');
			JToolBarHelper::addNewX();
			
			JToolBarHelper::deleteList();
		}
		// interrogate the model

		$foobar =& $this->get('Foobar');
		$this->assignRef('foobar', $foobar);
		
		$editmarker =& $this->get('Editmarker');
		$this->assignRef('editmarker', $editmarker);
		
		$pageNav =& $this->get('Reviews');
		$this->assignRef('pageNav', $pageNav);
		
		$params = &JComponentHelper::getParams( 'com_mapyandex' );
				
		$tmpl['apikey'] = $params->get( 'map_yandexs_api_key', '' );


		$this->assignRef( 'tmpl', $tmpl );
		
		$allmaps = $this->fetchElement();
		$this->assignRef( 'allmaps', $allmaps );
		
		parent::display($tpl);
	}
	
	
		function fetchElement()
		{
			$db =& JFactory::getDBO();

			$query = "SELECT * FROM ".$db->nameQuote('#__map_yandex');
			$db->setQuery( $query );
			$options = $db->loadObjectList();

			

		return JHTML::_('select.genericlist',  $options, 'id_map', 'class="inputbox"', 'id', 'name_map_yandex', $value, $control_name.$name );
		}
}

?>
