CREATE TABLE IF NOT EXISTS `#__map_yandex` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name_map_yandex` text NOT NULL,
  `misil` text NOT NULL,
  `misilonclick` text NOT NULL,
  `id_map_yandex` text,
  `city_map_yandex` text NOT NULL,
  `street_map_yandex` text NOT NULL,
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `catid` int(11) unsigned NOT NULL,
  `params` text NOT NULL,
  `width_map_yandex` int(8) NOT NULL DEFAULT '600',
  `height_map_yandex` int(8) NOT NULL DEFAULT '400',
  `oblako_width_map_yandex` int(8) NOT NULL,
  `yandexbutton` int(2) NOT NULL,
  `color_map_yandex` varchar(255) NOT NULL,
  `bradius` int(2) NOT NULL DEFAULT '1',
  `yandexborder` int(2) NOT NULL DEFAULT '1',
  `yandexcoord` int(11) NOT NULL DEFAULT '1',
  `lng` varchar(255) NOT NULL,
  `text_map_yandex` text NOT NULL,
  `where_text` int(11) NOT NULL DEFAULT '0',
  `center_map_yandex` int(11) NOT NULL DEFAULT '1',
  `yandexzoom` int(2) NOT NULL DEFAULT '15',
  `autozoom` int(2) NOT NULL DEFAULT '1',
  `yandexel` varchar(100) NOT NULL,
  `route_map_yandex` text NOT NULL,
  `color_map_route` varchar(100) NOT NULL DEFAULT '8f2f62',
  `map_route_opacity` varchar(10) NOT NULL DEFAULT '1',
  `map_baloon_or_placemark` int(2) NOT NULL,
  `map_baloon_minwidth` varchar(5) NOT NULL,
  `map_baloon_minheight` varchar(5) NOT NULL,
  `map_baloon_autopanduration` varchar(2) NOT NULL,
  `map_baloon_autopan` varchar(2) NOT NULL,
  `map_centering` varchar(2) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `jos_map_yandex`
--

INSERT INTO `#__map_yandex` (`id`, `name_map_yandex`, `misil`, `misilonclick`, `id_map_yandex`, `city_map_yandex`, `street_map_yandex`, `checked_out`, `checked_out_time`, `ordering`, `published`, `hits`, `catid`, `params`, `width_map_yandex`, `height_map_yandex`, `oblako_width_map_yandex`, `yandexbutton`, `color_map_yandex`, `bradius`, `yandexborder`, `yandexcoord`, `lng`, `text_map_yandex`, `where_text`, `center_map_yandex`, `yandexzoom`, `autozoom`, `yandexel`, `route_map_yandex`, `color_map_route`, `map_route_opacity`, `map_baloon_or_placemark`, `map_baloon_minwidth`, `map_baloon_minheight`, `map_baloon_autopanduration`, `map_baloon_autopan`, `map_centering`) VALUES
(1, 'Первый пример!', '<img src="/media/colorpicker/images/icon-48-mapyandex.png" /><br />Привет я Карта!', 'Привет я Карта!', '', 'Пермь', 'Попова, 23', 0, '0000-00-00 00:00:00', 3, 1, 55, 1, '', 500, 300, 200, 1, 'f6f6f6', 2, 1, 1, '{"longitude_map_yandex":"","latitude_map_yandex":""}', '<h2>История компании</h2>\r\n<p>Как и предыдущие версии Joomla!, версия 1.5 обеспечивает единую и удобную в работе платформу для управления информацией на веб-сайтах самых разных типов. Чтобы идти в ногу со временем были переработаны базовые функции системы и модернизирован пользовательский интерфейс.</p>\r\n<p>Среди прочего изменения коснулись следующих аспектов Joomla! 1.5:</p>\r\n<ul>\r\n<li>Расширены возможности по настройке и адаптации системы к конкретным требованиям.</li>\r\n<li>Благодаря применению двухбайтовой кодировки символов расширены возможности по локализации Joomla!, теперь возможна поддержка любых языков, включая культуры с правосторонним написанием текстов.</li>\r\n<li>Расширены возможности по интеграции со сторонними приложениями с помощью веб-сервисов. Возможна удалённая авторизация пользователей через LDAP, OpenID или Gmail.</li>\r\n<li>Расширены возможности по созданию тем оформления и настройке внешнего вида отображаемой на сайте информации.</li>\r\n<li>Благодаря новому программному каркасу (framework), значительно увеличены возможности разработчиков Расширений.</li>\r\n<li>Реализована поддержка многих расширений от предыдущих версий системы.</li>\r\n</ul>', 3, 2, 15, 0, '["5"]', '["\\u041f\\u0435\\u0440\\u043c\\u044c, \\u041b\\u0435\\u043d\\u0438\\u043d\\u0430, 100","\\u041f\\u0435\\u0440\\u043c\\u044c, \\u041a\\u043e\\u043c\\u0441\\u043e\\u043c\\u043e\\u043b\\u044c\\u0441\\u043a\\u0438\\u0439 \\u043f\\u0440\\u043e\\u0441\\u043f\\u0435\\u043a\\u0442, 69"]', 'e31c9a', '1', 0, '100', '100', '50', '1', '1'),
(2, 'Second example', '<img src="/media/colorpicker/images/icon-48-mapyandex.png" /><br />Hello i am map!', '', '', 'Пермь', 'Окулова, 25', 0, '0000-00-00 00:00:00', 4, 1, 11, 1, '', 500, 500, 100, 2, 'f1f1f1', 1, 1, 1, '{"longitude_map_yandex":"","latitude_map_yandex":""}', '<p>Hello i am map!</p>', 3, 1, 4, 1, 'null', '', '8f2f62', '1', 1, '100', '100', '50', '1', '1');


CREATE TABLE IF NOT EXISTS `#__map_yandex_metki` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name_marker` text NOT NULL,
  `misil` text NOT NULL,
  `misilonclick` text NOT NULL,
  `city_map_yandex` text NOT NULL,
  `street_map_yandex` text NOT NULL,
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `catid` int(11) unsigned NOT NULL,
  `params` text NOT NULL,
  `yandexcoord` int(11) NOT NULL DEFAULT '1',
  `lng` varchar(255) NOT NULL,
  `id_map` int(11) NOT NULL,
  `deficon` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6;


INSERT INTO `#__map_yandex_metki` (`id`, `name_marker`, `misil`, `misilonclick`, `city_map_yandex`, `street_map_yandex`, `checked_out`, `checked_out_time`, `ordering`, `published`, `hits`, `catid`, `params`, `yandexcoord`, `lng`, `id_map`, `deficon`) VALUES
(1, 'Маркер', 'Ленина, 80', 'Ленина, 80', 'Пермь', 'ул. Ленина, 100', 0, '0000-00-00 00:00:00', 4, 1, 0, 1, '', 2, '{"longitude_map_yandex":"56.214738","latitude_map_yandex":"58.00676"}', 1, 'turnLeftIcon'),
(2, 'Проверка', 'Окулова, 7', 'Окулова, 7', 'Пермь', 'ул. Ленина, 70', 0, '0000-00-00 00:00:00', 4, 1, 0, 1, '', 2, '{"longitude_map_yandex":"56.224125","latitude_map_yandex":"58.007952"}', 1, 'airplaneIcon'),
(3, 'Маркер 12345', 'Окулова, 7', 'Окулова, 7', 'Пермь', 'Ленина, 60', 0, '0000-00-00 00:00:00', 4, 1, 0, 1, '', 1, '{"longitude_map_yandex":"","latitude_map_yandex":""}', 1, 'hospitalIcon'),
(4, 'Ижевск', 'Ижевск', 'Ижевск', 'Ижевск', 'Ленина, 100', 0, '0000-00-00 00:00:00', 4, 1, 0, 1, '', 1, '{"longitude_map_yandex":"","latitude_map_yandex":""}', 2, 'anchorIcon'),
(5, 'Архангельск', 'Архангельск', 'Архангельск', 'Ижевск', 'Ленина, 100', 0, '0000-00-00 00:00:00', 4, 1, 0, 1, '', 2, '{"longitude_map_yandex":"40.551776","latitude_map_yandex":"64.545818"}', 2, 'airplaneIcon'),
(6, 'Химки', 'Химки', 'Химки', 'Ижевск', 'Ленина, 100', 0, '0000-00-00 00:00:00', 4, 1, 0, 1, '', 2, '{"longitude_map_yandex":"37.445087","latitude_map_yandex":"55.890058"}', 2, 'hospitalIcon');

