<?php
/*
 * @package Joomla 1.5
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );
jimport('joomla.html.pagination');

class MapYandexModelMapYandex extends JModel
{

	/**
	 * 
	 *
	 * 
	 */
	var $_foobar;


	/**
	 * 
	 * @     view.html.php
	 */
	function getFoobar()
	{
	
	global $option, $mainframe;
	$db =& JFactory::getDBO();
	//     ...
	$data['task'] = JRequest::getVar('task');
	if($data['task'] !== 'add') {

	$limit = JRequest::getVar('limit',
		$mainframe->getCfg('list_limit'));
		$limitstart = JRequest::getVar('limitstart', 0);
		$query = "SELECT * FROM #__map_yandex";
		$query = $db->setQuery( $query, $limitstart, $limit );
		$this->_foobar = $db->loadObjectList();
		
	}
	else {
	
		$query = ' SELECT * '
			. ' FROM #__map_yandex ORDER BY ID DESC';
			$query = $db->setQuery( $query);
		$this->_foobar = $db->loadObjectList();
		}
		return $this->_foobar;
	}

	/**
	 * 
	 * @     view.html.php
	 */

	
	function getReviews()
	{
		global $option, $mainframe;
		$limit = JRequest::getVar('limit',
		$mainframe->getCfg('list_limit'));
		$limitstart = JRequest::getVar('limitstart', 0);
		$db =& JFactory::getDBO();
		$query = "SELECT count(*) FROM #__map_yandex";
		$db->setQuery( $query );
		$total = $db->loadResult();
		$query = "SELECT * FROM #__map_yandex";
		$db->setQuery( $query, $limitstart, $limit );
		$rows = $db->loadObjectList();
		if ($db->getErrorNum()) {
			echo $db->stderr();
			return false;
		}

		return $this->pageNav = new JPagination($total, $limitstart, $limit);
		
	}
	
	
	function textnl($text)
	{
		$text = str_replace("\r\n","<br />",$text);
		$text = str_replace("\r","<br />",$text);
		$text = str_replace("\n\n", '<p>',$text);
		$text = str_replace("\n", '<br />',$text); 
		return addslashes($text);
	}
		
		
	function store($post)
	{	
		$row =& $this->getTable('map');
		
	
		
		$data = JRequest::get( 'post' );
		$data['misil'] = JRequest::getVar('misil', '', 'post', 'string', JREQUEST_ALLOWRAW);
		$data['misilonclick'] = JRequest::getVar('misilonclick', '', 'post', 'string', JREQUEST_ALLOWRAW);
		$data['text_map_yandex'] = JRequest::getVar('text_map_yandex', '', 'post', 'string', JREQUEST_ALLOWRAW);
		// Bind the form fields to the hello table
		if (!$row->bind($data)) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		// Make sure the hello record is valid

		(trim($data['width_map_yandex']) !== '') ?  $data['width_map_yandex'] = $data['width_map_yandex'] : $data['width_map_yandex'] = 500;
		(trim($data['height_map_yandex']) !== '') ?  $data['height_map_yandex'] = $data['height_map_yandex'] : $data['height_map_yandex'] = 500;

$lng = json_encode(array('longitude_map_yandex' => $data['longitude_map_yandex'],'latitude_map_yandex'=>$data['latitude_map_yandex']));
		$el = json_encode($data['yandexel']);
		// Store the web link table to the database
			$db =& $this->getDBO();
			$query = "INSERT INTO ".$db->nameQuote('#__map_yandex') 
			." (`misil`,`misilonclick`,`name_map_yandex`, `id_map_yandex`, `city_map_yandex`, `street_map_yandex`, `checked_out`, `checked_out_time`, `ordering`, `published`, `hits`, `catid`, `params`, `width_map_yandex`, `height_map_yandex`, `oblako_width_map_yandex`, `yandexbutton`, `color_map_yandex`, `bradius`, `yandexborder`,`yandexcoord`,`lng`,`yandexzoom`,yandexel) VALUES 
			('".$this->textnl($data['misil'])."','".$this->textnl($data['misilonclick'])."','".$data['name_map_yandex']."','".$data['id_map_yandex']."', '".$data['city_map_yandex']."', '".$data['street_map_yandex']."', 0, '0000-00-00 00:00:00', 4, 1, 0, 1, '', '".$data['width_map_yandex']."', '".$data['height_map_yandex']."', '".$data['oblako_width_map_yandex']."', '".$data['yandexbutton']."', '".$data['color_map_yandex']."', '".$data['bradius']."', '".$data['yandexzoom']."','".$data['yandexcoord']."','$lng','".$data['yandexzoom']."','".$el."')";
			$db->setQuery($query);
			if (!$db->query()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
			

		return true;
	}

	function delete()
	{
		$cids = JRequest::getVar( 'cid', array(0), 'post', 'array' );
		$db		=& JFactory::getDBO();
		if (count( $cids )) {
			foreach($cids as $cid) {
			$query = 'DELETE FROM #__map_yandex'
			. ' WHERE id = ' .$cid;
				$db->setQuery( $query );
				if (!$db->query()) {
					JError::raiseWarning( 500, $db->getError() );
				}
			}
		}
		return true;
	}

}


