<?php
/*
 * @package Joomla 1.5
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );
jimport('joomla.html.pagination');

class MapYandexModelMapYandexmetki extends JModel
{
	
	var $_foobar;
	var $_editmarker;
	
function __construct()
{

	parent::__construct();
	// get the cid array from the default request hash
	$cid = JRequest::getVar('cid', false, 'DEFAULT', 'array');
	
	if($cid)
	{
		$id = $cid[0];
	}
	else
	{
		$id = JRequest::getVar('id', 3);
	}

	$this->setId($id);
}


/**
*  ID  
*
* @param int foobar ID
*/

	function setId($id)
	{
		$this->_id = $id;
		$this->_foobar = null;
	}

	

	
	function getEditmarker()
	{
	
	global $option, $mainframe;
	$db =& JFactory::getDBO();
		$cid = JRequest::getVar('cid');

		$query = ' SELECT * '
			. ' FROM #__map_yandex_metki WHERE id='.$this->_id;
			$query = $db->setQuery( $query);
		$this->_editmarker = $db->loadObjectList();

		return $this->_editmarker;
	}

	/**
	 *     
	 * @     view.html.php
	 */
	function getFoobar()
	{
	
	global $option, $mainframe;
	$db =& JFactory::getDBO();
	//     ...
	$data['task'] = JRequest::getVar('task');
	if($data['task'] !== 'add') {

	$limit = JRequest::getVar('limit',
		$mainframe->getCfg('list_limit'));
		$limitstart = JRequest::getVar('limitstart', 0);
		$query = "SELECT * FROM #__map_yandex_metki";
		$query = $db->setQuery( $query, $limitstart, $limit );
		$this->_foobar = $db->loadObjectList();
		
	}
	else {
	
		$query = ' SELECT * '
			. ' FROM #__map_yandex_metki ORDER BY ID DESC';
			$query = $db->setQuery( $query);
		$this->_foobar = $db->loadObjectList();
		}
		return $this->_foobar;
	}

	/**
	 *     
	 * @     view.html.php
	 */

	
	function getReviews()
	{
		global $option, $mainframe;
		$limit = JRequest::getVar('limit',
		$mainframe->getCfg('list_limit'));
		
		$limitstart = JRequest::getVar('limitstart', 0);
		$db =& JFactory::getDBO();
		$query = "SELECT count(*) FROM #__map_yandex_metki";
		$db->setQuery( $query );
		$total = $db->loadResult();
		$query = "SELECT * FROM #__map_yandex_metki";
		$db->setQuery( $query, $limitstart, $limit );
		$rows = $db->loadObjectList();
		if ($db->getErrorNum()) {
			echo $db->stderr();
			return false;
		}

		return $this->pageNav = new JPagination($total, $limitstart, $limit);
		
	}
	
	
	function textnl($text)
	{
		$text = str_replace("\r\n","<br />",$text);
		$text = str_replace("\r","<br />",$text);
		$text = str_replace("\n\n", '<p>',$text);
		$text = str_replace("\n", '<br />',$text); 
		return addslashes($text);
	}

		
		
	function store($post)
	{	

		
		$data = JRequest::get( 'post' );
		$data['misil'] = JRequest::getVar('misil', '', 'post', 'string', JREQUEST_ALLOWRAW);
		$data['misilonclick'] = JRequest::getVar('misilonclick', '', 'post', 'string', JREQUEST_ALLOWRAW);

		// Bind the form fields to the hello table

		$data['misil'] = $this->textnl($data['misil']);
		$data['misilonclick'] = $this->textnl($data['misilonclick']);
		
		
		// Make sure the hello record is valid

		(trim($data['width_map_yandex']) !== '') ?  $data['width_map_yandex'] = $data['width_map_yandex'] : $data['width_map_yandex'] = 500;
		(trim($data['height_map_yandex']) !== '') ?  $data['height_map_yandex'] = $data['height_map_yandex'] : $data['height_map_yandex'] = 500;

		$lng = json_encode(array('longitude_map_yandex' => $data['longitude_map_yandex'],'latitude_map_yandex'=>$data['latitude_map_yandex']));

		// Store the web link table to the database
			$db =& $this->getDBO();
			
			if(!$data['editmarket']) {
			$query = "INSERT INTO ".$db->nameQuote('#__map_yandex_metki') 
			." (`name_marker`,`misil`,`misilonclick`,`city_map_yandex`, `street_map_yandex`, `checked_out`,`checked_out_time`,`ordering`,`published`,`hits`,`catid`,`params`,`yandexcoord`,`lng`,`id_map`,`deficon`) VALUES 
			('".$data['name_marker']."','".$data['misil']."','".$data['misilonclick']."','".$data['city_map_yandex']."', '".$data['street_map_yandex']."', 0, '0000-00-00 00:00:00', 4, 1, 0, 1, '', '".$data['yandexcoord']."','$lng', '".$data['id_map']."', '".$data['deficon']."')";
			} else {
			$query = "UPDATE ".$db->nameQuote('#__map_yandex_metki') 
			." set ".$db->nameQuote('name_marker')." = '".$data['name_marker']
			."', ".$db->nameQuote('misil')." = '".$data['misil']
			."', ".$db->nameQuote('misilonclick')." = '".$data['misilonclick']
			."', ".$db->nameQuote('city_map_yandex')." = '".$data['city_map_yandex']
			."', ".$db->nameQuote('street_map_yandex')." = '".$data['street_map_yandex']
			."', ".$db->nameQuote('yandexcoord')." = '".$data['yandexcoord']
			."', ".$db->nameQuote('lng')." = '".$lng
			."', ".$db->nameQuote('id_map')." = '".$data['id_map']
			."', ".$db->nameQuote('deficon')." = '".$data['deficon']
			."' WHERE ".$db->nameQuote('id')." =".$data['id'];
			}
			
			
			$db->setQuery($query);
			if (!$db->query()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
			

		return true;
	}

	function delete()
	{
		$cids = JRequest::getVar( 'cid', array(0), 'post', 'array' );
		$db		=& JFactory::getDBO();
		if (count( $cids )) {
			foreach($cids as $cid) {
			$query = 'DELETE FROM #__map_yandex_metki'
			. ' WHERE id = ' .$cid;
				$db->setQuery( $query );
				if (!$db->query()) {
					JError::raiseWarning( 500, $db->getError() );
				}
			}
		}
		return true;
	}

}


