<?php
/*
 * @package Joomla 1.5
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Hello Table class
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class TableMap extends JTable
{
	/**
	 * Primary Key
	 *
	 * @var int
	 */
	var $id = null;

	/**
	 * @var string
	 */
	var $greeting = null;

	/**
	 * Constructor
	 *
	 * @param object Database connector object
	 */
	function TableMap(& $db) {
		parent::__construct('#__yandex_map', 'id', $db);
	}
	

	function check() {
		// check for valid client name
		if (trim($this->id_yandex_map == '')) {
			$this->setError(JText::_( 'ERROR_ID' ));
			return false;
		}

		if (trim($this->misil == '')) {
			$this->setError(JText::_( 'ERROR_MISIL' ));
			return false;
		}
		if (trim($this->street_yandex_map == '')) {
			$this->setError(JText::_( 'ERROR_STREET' ));
			return false;
		}
		if (trim($this->city_yandex_map == '')) {
			$this->setError(JText::_( 'ERROR_CITY' ));
	
		}
		if (trim($this->width_yandex_map == '')) {
			$this->setError(JText::_( 'ERROR_WIDTH' ));
			return false;
		}
		if (trim($this->height_yandex_map == '')) {
			$this->setError(JText::_( 'ERROR_HEIGHT' ));
			return false;
		}



	}
}