<?php 
/*
 * @package Joomla 1.5
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Yandex Map Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined('_JEXEC') or die('Restricted access'); 
?>
  	<form action="index.php" method="post" name="adminForm" id="adminForm">	
	<?php $document =& JFactory::getDocument();?>

	<?php $document->addScript('https://ajax.googleapis.com/ajax/libs/jquery/1.6.2/jquery.min.js');?>
	<?php $document->addScript('http://api-maps.yandex.ru/2.0.10/?load=package.full&lang=ru-RU');?>

	<?php $document->addStyleSheet(JURI::root(true).'/media/colorpicker/css/colorpicker.css');?>
	<?php $document->addStyleSheet(JURI::root(true).'/media/colorpicker/css/layout.css');?>
	<?php $document->addScript(JURI::root(true).'/media/colorpicker/js/colorpicker.js');?>
	<?php $document->addScript(JURI::root(true).'/media/colorpicker/js/eye.js');?>
	<?php $document->addScript(JURI::root(true).'/media/colorpicker/js/utils.js');?>
	<?php $document->addScript(JURI::root(true).'/media/colorpicker/js/layout.js?ver=1.0.2');?>

<?php
	$lineika = '';
	$minimap = '';
	$sputnik = '';
	$search = '';
	$scale = '';
	$styleel = '';
	$stylecoo = '';
	$stylead = '';
	$stylead = '';
	$element = '';
	
	if($this->foobar->bradius == 1) {
		$borderradius = 'border-radius: 6px 6px 6px 6px;';
	}
	if($this->foobar->yandexborder == 1) {
		$border = 'border: 1px solid #'.$this->foobar->color_map_yandex.';';
	}
$style = '.YMaps-b-balloon-wrap td {
padding:0!important;
}
#YMapsID {

	margin:0; 
	box-shadow: 4px 4px 4px #'.$this->foobar->color_map_yandex.';  
	background: -moz-linear-gradient(center top , #'.$this->foobar->color_map_yandex.', #F1F1F1) repeat scroll 0 0 #F1F1F1;

    color: #333333;
    font-weight: bold;
	'.$borderradius.'
    '.$border.'

	}
.YMaps-b-balloon-content {
width:'.$this->foobar->oblako_width_map_yandex.'px !important;
}	
	';
$document->addStyleDeclaration($style);
?>

<?php 
//всё шиворот на выворот
if($this->foobar->yandexcoord == 1) {

	$stylecoo='style="display:none;"';
	$valone = 'var valone = "'.$this->foobar->city_map_yandex.', '.$this->foobar->street_map_yandex.'"';
	$address = $this->foobar->city_map_yandex.', '.$this->foobar->street_map_yandex;
} else {
	$stylead = 'style="display:none;"';
	$parsejson = json_decode($this->foobar->lng);
	$longitude = $parsejson->longitude_map_yandex;
	$latitude = $parsejson->latitude_map_yandex;
	$valone = 'var valone = "'.$latitude.', '.$longitude.'"';

}
if($this->foobar->autozoom) {
	$autozoom = 'var autozoom = '.$this->foobar->autozoom.';';
} else {
	$autozoom = 'var autozoom = true;';
}
if($this->foobar->autozoom) {
	$autozoomflag = 10;
} else if($this->foobar->yandexzoom){
	$autozoomflag = $this->foobar->yandexzoom;
} else {
	$autozoomflag = 10;
}

	$el = json_decode($this->foobar->yandexel);

	if($el) {
	
			if(in_array(1,$el)) {
			$lineika = '.add("mapTools")';
		}
			if(in_array(2,$el)) {
			$minimap = '.add("miniMap")';
		}
			if(in_array(3,$el)) {
			$sputnik = '.add("typeSelector")';
		}
			if(in_array(4,$el)) {
			$search = '.add("searchControl")';
		}
			if(in_array(5,$el)) {
			$scale = '.add("zoomControl")';
		}
	} else {

		$lineika = '.add("mapTools")';
		$minimap = '.add("miniMap")';
		$sputnik = '.add("typeSelector")';
		$search	 = '.add("searchControl")';
		$scale 	 = '.add("zoomControl")';
	}
if($this->foobar->yandexbutton == 1){
$element = "
			// Добавление элементов управления
            ".$lineika."
            ".$sputnik ."
			".$minimap." 
			".$scale."
			".$search."";
			}

$script ='	
		<!--
		function changeDisplayImage() {
			if (document.adminForm.imageurl.value !="") {
				document.adminForm.imagelib.src="../images/banners/" + document.adminForm.imageurl.value;
			} else {
				document.adminForm.imagelib.src="images/blank.png";
			}
		}
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == "cancel") {
				submitform( pressbutton );
				return;
			}
			// do field validation
			if (form.name_map_yandex.value == "") {
				alert( "'.JText::_( "ERROR_NAME_MAP", true ).'" );
			}
			else if (form.city_map_yandex.value == "") {
				alert( "'.JText::_( "ERROR_CITY", true ).'" );
			
			} else if (form.street_map_yandex.value == "") {
				alert( "'.JText::_( "ВERROR_STREET", true ).'" );
			}

			else {
				submitform( pressbutton );
			}
		}
		//-->';
	
$document->addScriptDeclaration($script);

$metka = '';
foreach($this->metka as $val) {

if($this->tmpl['new_placemark']) {
    $op = 'options = { balloonCloseButton: true, 
               preset: \'twirl#'.$val->deficon.'\'
                },';
} else {
    $op = 'options = { balloonCloseButton: true, 
                    iconImageHref: \''.JURI::base(true).'/components/com_mapyandex/assets/images/deficon/'.$val->deficon.'.png\', // картинка иконки
					iconImageSize: [27, 26], // размеры картинки
                    iconImageOffset: [-3, -26] // смещение картинки
                },';
}


	if($val->yandexcoord == 1) {

		$metka .= '
					/* После того, как поиск вернул результат, вызывается*/
    ymaps.geocode(\''.$val->city_map_yandex.', '.$val->street_map_yandex.'\', {results: 100}).then(function (res) {
                    
	var point = res.geoObjects.get(0).geometry.getCoordinates();

	var properties = {
        balloonContent: "'.addslashes($val->misil).'",
        hintContent: "<div>'.addslashes($val->misilonclick).'</div>",

    },
	'.$op.'
    placemark = new ymaps.Placemark(point, properties, options);

	map.geoObjects.add(placemark);
			
		});	';
		
	} else {
		
		$lng = json_decode($val->lng);
		
		$metka .= '
		var properties = {
			balloonContent: "'.addslashes($val->misil).'",
			hintContent: "<div>'.addslashes($val->misilonclick).'</div>",

		},
		'.$op.'
		placemark = new ymaps.Placemark(['.$lng->latitude_map_yandex.', '.$lng->longitude_map_yandex.'], properties, options);

		map.geoObjects.add(placemark);
				
				';
	}
	
}
			

$textarray = '';
$textarrayonput = ''; 
$route = json_decode($this->foobar->route_map_yandex);
$ymaproute = '';


$ymaproute = $this->addRouteToMap($route);

($this->foobar->map_baloon_autopan) ? $autopan = 'true' : $autopan = 'false';  
($this->foobar->map_centering) ? $map_centering = 'true' : $map_centering = 'false'; 
if(!$this->foobar->map_baloon_or_placemark) {

	$balloonorplacemark = 'startPlacemark = new ymaps.Placemark(point, {
							// Свойства
							// Текст метки
							iconContent: \''.addslashes($this->foobar->misil).'\',
							hintContent: "<div>'.addslashes($this->foobar->misilonclick).'</div>",
							balloonContentHeader: "<div>'.addslashes($this->foobar->misilonclick).'</div>"
             
						}, {
							// Опции
							// Иконка метки будет растягиваться под ее контент
							preset: \'twirl#blueStretchyIcon\',
							draggable: true,
							opacity: 0.5,
							fillOpacity: 0,
							stroke: false,
							zIndex: 5555
						});
						map.geoObjects.add(startPlacemark);';

} else {



	$balloonorplacemark = 'map.balloon.open(
						// Координаты балуна
						point, {
							/* Свойства балуна:
							   - контент балуна */
							content: \''.addslashes($this->foobar->misil).'\'
						}, {
							/* Опции балуна:
							   - балун имеет копку закрытия */ 
							closeButton: true,
							minWidth: '.$this->foobar->map_baloon_minwidth.',
							minHeight: '.$this->foobar->map_baloon_minheight.',
							autoPan: '.$map_centering.',
							autoPanDuration: '.$this->foobar->map_baloon_autopanduration.'
						}
					);';

}


$script ='	
$.noConflict();

	$j = jQuery;
	$j(function(){
	
	$j(\'[name="yandexcoord"]\').change(function(){
		v = $j(this).children("option:selected").val()
		if(v == 2) {
			$j(".dispcoords").fadeIn("slow",function(){
				$j(".dispadres").fadeOut("slow");
			});
			
		}
		else {
			$j(".dispadres").fadeIn("slow",function(){
				$j(".dispcoords").fadeOut("slow");
			});
		}
	});
		$j(\'[name="yandexbutton"]\').change(function(){
		
		v = $j(this).children("option:selected").val()
		if(v == 2) {

			$j(".elyandex").fadeOut("slow");
			
		}
		else {
			$j(".elyandex").fadeIn("slow");
		}
	});
	
	
      ymaps.ready(function () { 
	
			var map;

	  
			'.$autozoom.'
			'.$valone.'

			if(valone == "") {
				valone = "Москва, ул. Ленина, 50";
			}

			/* После того, как поиск вернул результат, вызывается*/
              ymaps.geocode(valone, {results: 100}).then(function (res) {
                    
					var point = res.geoObjects.get(0).geometry.getCoordinates();
			// Добавление полученного элемента на карту
			
			
				map = new ymaps.Map("YMapsID", {
					// Центр карты
					center: res.geoObjects.get(0).geometry.getCoordinates(),
					// Коэффициент масштабирования
					zoom: '.$autozoomflag.'
					
				});
			
				if(autozoom) {

					map.setCenter(point, '.$this->foobar->yandexzoom.', {
						checkZoomRange: true,
						duration: 1000
					});
				} else {
	
	
				map.zoomRange.get(
					/* Координаты точки, в которой определяются 
					   значения коэффициентов масштабирования */ 
					point)
					.then(function (zoomRange, err) {
					
					var userzoom = '.$this->foobar->yandexzoom.';
						if (!err) {
						
							// zoomRange[0] - минимальный масштаб
							// zoomRange[1] - максимальный масштаб
							if(userzoom > zoomRange[1]) {
								userzoom = zoomRange[1];
																
									map.setCenter(point, userzoom,{duration:500});
								
							}
						
							
						}
					}
				)	
			}
			
			map.zoomRange.get(
					/* Координаты точки, в которой определяются 
					   значения коэффициентов масштабирования */ 
					point)
					.then(function (zoomRange, err) {
					
					var userzoom = '.$this->foobar->yandexzoom.';
						if (!err) {
						
							// zoomRange[0] - минимальный масштаб
							// zoomRange[1] - максимальный масштаб
							if(userzoom > zoomRange[1]) {
								userzoom = zoomRange[1];
									$j("#autozoom span:eq(0),#autozoom span:eq(1),#autozoom span:eq(3)").text(zoomRange[1]);							
									$j("#autozoom span:eq(2)").text($j("#yandexzoom").val());							
									$j("#autozoom").fadeIn("slow");
								
							} else if($j("#yandexzoom").val() <= zoomRange[1] && $j("#jform_autozoom").val() == 1) {
									$j("#autozoomno").fadeIn("slow");
							}
						
							
						}
					}
				);		

      
           // Добавление стандартного набора кнопок
			map.controls
			'.$element.'
			'.$metka.'
			
			'.$ymaproute.'
			
			'.$balloonorplacemark.'
                });
			
			


			
			
			
			
			 


			
			
			
        });  
});';
	
$document->addScriptDeclaration($script);
?>
  <table width="100%">
    <tr>
      <td width="90%" valign="top"><div class="col50">
	<fieldset class="adminform">
		<legend><?php echo JText::_( 'EDITINFO' ); ?></legend>
				

		<table class="admintable">

					<tr>
					<td width="100" align="left" class="key">
				<label for="foobar">
					<?php echo JText::_( 'NAMEMAP' ); ?>:
				</label>
			</td>
								<td width="100" align="left">
			 <input type="text" name="name_map_yandex" id="keyword" size="100" value="<?php echo $this->foobar->name_map_yandex;?>" />
			</td>
			</tr>
			
		<tr>
					<td width="100" align="left" class="key">
				<label for="foobar">
					<?php echo JText::_( 'EXMAP' ); ?>:
				</label>
			</td>
			<td width="100" align="left">
<div id="editcell">







    <div id="YMapsID" style="height:<?php echo $this->foobar->height_map_yandex;?>px; width:<?php echo $this->foobar->width_map_yandex;?>px;"></div>
	
    <div id="info"></div>

	


</div>
			</td></tr>
			

				<tr>
			<td width="100" align="left" class="key">
				<label for="foobar">
					<?php echo JText::_( 'YMZOOM' ); ?>:
				</label>
			</td>
			<td align="left">


			<?php 
			
				$statez[] = JHTML::_('select.option','1', JText::_( '1' ) );
				$statez[] = JHTML::_('select.option','2', JText::_( '2' ) );
				$statez[] = JHTML::_('select.option','3', JText::_( '3' ) );
				$statez[] = JHTML::_('select.option','4', JText::_( '4' ) );
				$statez[] = JHTML::_('select.option','5', JText::_( '5' ) );
				$statez[] = JHTML::_('select.option','6', JText::_( '6' ) );
				$statez[] = JHTML::_('select.option','7', JText::_( '7' ) );
				$statez[] = JHTML::_('select.option','8', JText::_( '8' ) );
				$statez[] = JHTML::_('select.option','9', JText::_( '9' ) );
				$statez[] = JHTML::_('select.option','10', JText::_( '10' ) );
				$statez[] = JHTML::_('select.option','11', JText::_( '11' ) );
				$statez[] = JHTML::_('select.option','12', JText::_( '12' ) );
				$statez[] = JHTML::_('select.option','13', JText::_( '13' ) );
				$statez[] = JHTML::_('select.option','14', JText::_( '14' ) );
				$statez[] = JHTML::_('select.option','15', JText::_( '15' ) );
				$statez[] = JHTML::_('select.option','16', JText::_( '16' ) );
				$statez[] = JHTML::_('select.option','17', JText::_( '17' ) );
				echo JHTML::_('select.genericlist',  $statez, $name = 'yandexzoom', $attribs = null, $key = 'value', $text = 'text', $selected = $this->foobar->yandexzoom, $idtag = false, $translate = false );
			?>
			</td>
		</tr>
											<tr>
			<td width="100" align="left" class="key">
				<label for="foobar">
					<?php echo JText::_( 'YMELIS' ); ?>:
				</label>
			</td>
			<td align="left">


			<?php 
			
				$stateb[] = JHTML::_('select.option','1', JText::_( 'YES' ) );
				$stateb[] = JHTML::_('select.option','2', JText::_( 'NO' ) );
				echo JHTML::_('select.genericlist',  $stateb, $name = 'yandexbutton', $attribs = null, $key = 'value', $text = 'text', $selected = $this->foobar->yandexbutton, $idtag = false, $translate = false );
			?>
			</td>
		</tr>
		<?php
		if($this->foobar->yandexbutton == 2) {
			$styleel = 'style="display:none;"';
		}
		?>
			<tr class="elyandex" <?php echo $styleel;?>>
			<td width="100" align="left" class="key">
				<label for="foobar">
					<?php echo JText::_( 'WHATEL' ); ?>:
				</label>
			</td>
			<td align="left">

			<?php 
				$attribs	= 'multiple="multiple"';
				$statem[] = JHTML::_('select.option','1', JText::_( 'SCALE' ) );
				$statem[] = JHTML::_('select.option','2', JText::_( 'MINIMAP' ) );
				$statem[] = JHTML::_('select.option','3', JText::_( 'TYPEOFMAP' ) );
				$statem[] = JHTML::_('select.option','4', JText::_( 'SEARCH' ) );
				$statem[] = JHTML::_('select.option','5', JText::_( 'ZOOM' ) );
				
			
				
				echo JHTML::_('select.genericlist',  $statem, $name = 'yandexel[]', $attribs, $key = 'value', $text = 'text', $selected = $el, $idtag = false, $translate = false );
			?>
			</td>
		</tr>										<tr>
					<td width="100" align="left" class="key">
				<label for="foobar">
					<?php echo JText::_( 'WIDTHMAP' ); ?>:
				</label>
			</td>
								<td width="100" align="left">
				 <input type="text" name="width_map_yandex" value="<?php echo $this->foobar->width_map_yandex;?>">
			</td>
			</tr>
																	<tr>
					<td width="100" align="left" class="key">
				<label for="foobar">
					<?php echo JText::_( 'HEIGHTMAP' ); ?>:
				</label>
			</td>
								<td width="100" align="left">
				 <input type="text" name="height_map_yandex" value="<?php echo $this->foobar->height_map_yandex;?>">
			</td>
			</tr>

			<tr>
			<td width="100" align="left" class="key">
				<label for="foobar">
					<?php echo JText::_( 'SEACRHMETHOD' ); ?>:
				</label>
			</td>
			<td align="left">

			<?php 
			
				$statecoord[] = JHTML::_('select.option','1', JText::_( 'ADRESS' ) );
				$statecoord[] = JHTML::_('select.option','2', JText::_( 'COORDINATES' ) );
				echo JHTML::_('select.genericlist',  $statecoord, $name = 'yandexcoord', $attribs = null, $key = 'value', $text = 'text', $selected = $this->foobar->yandexcoord, $idtag = false, $translate = false );
			?>
			</td>
		</tr>

		<tr class="dispadres" <?php echo $stylead;?>>
			<td width="100" align="left" class="key">
				<label for="foobar">
					<?php echo JText::_( 'CITY' ); ?>:
				</label>
			</td>
								<td width="100" align="left">
				 <input type="text" name="city_map_yandex" value="<?php echo $this->foobar->city_map_yandex;?>">
			</td>
		</tr>
			
			
		<tr class="dispadres" <?php echo $stylead;?>>
			<td width="100" align="left" class="key">
				<label for="foobar">
					<?php echo JText::_( 'ADRESS' ); ?>:
				</label>
			</td>
								<td width="100" align="left">
				 <input type="text" name="street_map_yandex" value="<?php echo $this->foobar->street_map_yandex;?>">
			</td>
		</tr>
		
			<tr class="dispcoords" <?php echo $stylecoo;?>>
					<td width="100" align="left" class="key">
				<label for="foobar">
					<?php echo JText::_( 'COORDINATES' ); ?>:
				</label>
			</td>
								<td width="100" align="left">
				<?php
					// define modal options
					$modalOptions = array (
					'size' => array('x' => 580, 'y' => 590)
					
					);
					// load modal JavaScript
					JHTML::_('behavior.modal', 'a.modal', $modalOptions);
				?>
				<div style="display:inline" class="button2-left"><div class="image"><a href="<?php echo 'index.php?option=com_mapyandex&view=mapyandexajax&tmpl=component&cid[]='.$this->foobar->id; ?>" class="modal"
				rel = "{
						handler: 'iframe'
						
						}">
						<?php echo JText::_( 'OPENMODAL' ); ?>
						</a></div></div>
				
			</td>
			</tr>
			
			

			<tr class="dispcoords" <?php echo $stylecoo;?>>
					<td width="100" align="left" class="key">
				<label for="foobar">
					<?php echo JText::_( 'LNG' ); ?>:
				</label>
			</td>
								<td width="100" align="left">
				 <input type="text" id="latitude" name="latitude_map_yandex" value="<?php echo $latitude;?>">
				 <input type="text" id="longitude" name="longitude_map_yandex" value="<?php echo $longitude;?>">
			</td>
			</tr>
		
				<tr>
			<td width="100" align="left" class="key">
				<label for="foobar">
					<?php echo JText::_( 'TEXTATG' ); ?>:
				</label>
			</td>
			<td align="left">

			<textarea name="misil" style="width:100%;height:300px;"><?php echo $this->untextnl($this->foobar->misil);?></textarea>

			</td>
		</tr>
		<tr>
			<td width="100" align="left" class="key">
				<label for="foobar">
					<?php echo JText::_( 'TEXTTAGONCLICK' ); ?>:
				</label>
			</td>
			<td align="left">

			<textarea name="misilonclick" style="width:100%;height:300px;"><?php echo $this->untextnl($this->foobar->misilonclick);?></textarea>

			</td>
		</tr>
				<tr>
			<td width="100" align="right" class="key">
				<label for="foobar">
					<?php echo JText::_( 'TEXT_map_yandex' ); ?>:
				</label>
			</td>
			<td>
			
				<?php 
				$editor =& JFactory::getEditor();
				echo $editor->display( 'jform[text_map_yandex]',  $this->foobar->text_map_yandex, '100%', '550', '75', '20' ) ;

				?> 
			</td>
		</tr>

								<tr>
			<td width="100" align="left" class="key">
				<label for="foobar">
					<?php echo JText::_( 'WHERE_TEXT_map_yandex' ); ?>:
				</label>
			</td>
			<td align="left">

			<?php 
			
				$statet[] = JHTML::_('select.option','1', JText::_( 'NO' ) );
				$statet[] = JHTML::_('select.option','2', JText::_( 'BEFOREMAP' ) );
				$statet[] = JHTML::_('select.option','3', JText::_( 'AFTERMAP' ) );
				echo JHTML::_('select.genericlist',  $statet, $name = 'where_text', $attribs = null, $key = 'value', $text = 'text', $selected = $this->foobar->where_text, $idtag = false, $translate = false );
			?>
			</td>
		</tr>

						<tr>
			<td width="100" align="left" class="key">
				<label for="foobar">
					<?php echo JText::_( 'YMISBORDER' ); ?>:
				</label>
			</td>
			<td align="left">

			<?php 
			
				$state[] = JHTML::_('select.option','1', JText::_( 'YES' ) );
				$state[] = JHTML::_('select.option','2', JText::_( 'NO' ) );
				echo JHTML::_('select.genericlist',  $state, $name = 'yandexborder', $attribs = null, $key = 'value', $text = 'text', $selected = $this->foobar->yandexborder, $idtag = false, $translate = false );
			?>
			</td>
		</tr>
						<tr>
			<td width="100" align="left" class="key">
				<label for="foobar">
					<?php echo JText::_( 'YMCOLORBORDER' ); ?>:
				</label>
			</td>
			<td align="left">
			<input type="text" name="color_map_yandex" value="<?php echo $this->foobar->color_map_yandex;?>">
			<div id="colorSelector"><div style="background-color: #<?php echo $this->foobar->color_map_yandex;?>"></div></div>
			</td>
		</tr>
		
								<tr>
			<td width="100" align="left" class="key">
				<label for="foobar">
					<?php echo JText::_( 'CBORDER' ); ?>:
				</label>
			</td>
			<td align="left">


			<?php 
			
				$statec[] = JHTML::_('select.option','1', JText::_( 'YES' ) );
				$statec[] = JHTML::_('select.option','2', JText::_( 'NO' ) );
				echo JHTML::_('select.genericlist',  $statec, $name = 'bradius', $attribs = null, $key = 'value', $text = 'text', $selected = $this->foobar->bradius, $idtag = false, $translate = false );
			?>
			</td>
		</tr>
		
		<tr>
			<td width="100" align="left" class="key">
				<label for="foobar">
					<?php echo JText::_( 'CENTERBORDER' ); ?>:
				</label>
			</td>
			<td align="left">


			<?php 
			
				$statecen[] = JHTML::_('select.option','1', JText::_( 'YES' ) );
				$statecen[] = JHTML::_('select.option','2', JText::_( 'NO' ) );
				echo JHTML::_('select.genericlist',  $statecen, $name = 'center_map_yandex', $attribs = null, $key = 'value', $text = 'text', $selected = $this->foobar->center_map_yandex, $idtag = false, $translate = false );
			?>
			</td>
		</tr>
		
	</table>
	</fieldset>
<div class="clr"></div>

 </div>
 </td>


 <td style="width:100%;" valign="top"><div class="col50" style="width:100%;">

          <fieldset class="adminform">
          <legend><?php echo JText::_('COM_MAPYANDEX_CHOISE'); ?></legend>
<?php
jimport('joomla.html.pane');
$pane =& JPane::getInstance('Sliders');
echo $pane->startPane('myPane');
{

//Иконки и дизайн маркера
echo $pane->startPanel(JText::_('COM_MAPYANDEX_CHOISE'), 'panel2');

?>
			
<table width="100%" cellspacing="1" class="paramlist admintable">
<tbody>
<tr>
<td width="40%" class="paramlist_key"><span class="editlinktip"><label title="" class="hasTip" for="jform_map_baloon_or_placemark" id="jform_map_baloon_or_placemark-lbl">Стиль основной подсказки</label></span></td>
<td class="paramlist_value">
<?php 
$mapbaloonorplacemark[] = JHTML::_('select.option','1', JText::_( 'Балун' ) );
$mapbaloonorplacemark[] = JHTML::_('select.option','0', JText::_( 'Метка' ) );
echo JHTML::_('select.genericlist',  $mapbaloonorplacemark, $name = 'jform[map_baloon_or_placemark]', $attribs = null, $key = 'value', $text = 'text', $selected = $this->foobar->map_baloon_or_placemark, $idtag = false, $translate = false );

?>
</td>
</tr>
<tr>
<tr>
<td width="40%" class="paramlist_key"><span class="editlinktip"><label title="" class="hasTip" for="jform_map_centering" id="jform_map_centering-lbl">Центрирование карты</label></span></td>
<td class="paramlist_value">

<?php 
$mapcentering[] = JHTML::_('select.option','1', JText::_( 'По маршруту' ) );
$mapcentering[] = JHTML::_('select.option','0', JText::_( 'По основной метке (балуну)' ) );
echo JHTML::_('select.genericlist',  $mapcentering, $name = 'jform[map_centering]', $attribs = null, $key = 'value', $text = 'text', $selected = $this->foobar->map_centering, $idtag = false, $translate = false );

?>
</td>
</tr>
<tr>
<td width="40%" class="paramlist_key"><span class="editlinktip"><label title="" class="hasTip" for="jform_autozoom" id="jform_autozoom-lbl">Масштабировать автоматически</label></span></td>
<td class="paramlist_value">
<?php 

$auto[] = JHTML::_('select.option','1', JText::_( 'YES' ) );
$auto[] = JHTML::_('select.option','0', JText::_( 'NO' ) );
echo JHTML::_('select.genericlist',  $auto, $name = 'jform[autozoom]', $attribs = null, $key = 'value', $text = 'text', $selected = $this->foobar->autozoom, $idtag = false, $translate = false );

?>
</td>
</tr>


</tbody></table>			
			

		
<?
echo $pane->endPanel();
}



echo $pane->startPane('myPane2');
{

//Иконки и дизайн маркера
echo $pane->startPanel(JText::_('COM_MAPYANDEX_BALOON_STYLE'), 'panel2');

?>
<table width="100%" cellspacing="1" class="paramlist admintable">
<tbody><tr>
<td width="40%" class="paramlist_key"><span class="editlinktip"><label title="" class="hasTip" for="jform_map_baloon_autopan" id="jform_map_baloon_autopan-lbl">Сдвиг</label></span></td>
<td class="paramlist_value">

<?php 
$mapbaloonautopan[] = JHTML::_('select.option','1', JText::_( 'Да' ) );
$mapbaloonautopan[] = JHTML::_('select.option','0', JText::_( 'Нет' ) );
echo JHTML::_('select.genericlist',  $mapbaloonautopan, $name = 'jform[map_baloon_autopan]', $attribs = null, $key = 'value', $text = 'text', $selected = $this->foobar->map_baloon_autopan, $idtag = false, $translate = false );

?>
</td>
</tr>
<tr>
<td width="40%" class="paramlist_key"><span class="editlinktip"><label title="" class="hasTip" for="jform_map_baloon_autopanduration" id="jform_map_baloon_autopanduration-lbl">Длительность</label></span></td>
<td class="paramlist_value"><input type="text" size="10" class="inputbox" value="500" id="jform_map_baloon_autopanduration" name="jform[map_baloon_autopanduration]"></td>
</tr>
<tr>
<td width="40%" class="paramlist_key"><span class="editlinktip"><label title="" class="hasTip" for="jform_map_baloon_minheight" id="jform_map_baloon_minheight-lbl">Высота</label></span></td>
<td class="paramlist_value"><input type="text" size="10" class="inputbox" value="100" id="jform_map_baloon_minheight" name="jform[map_baloon_minheight]"></td>
</tr>
<tr>
<td width="40%" class="paramlist_key"><span class="editlinktip"><label title="" class="hasTip" for="jform_map_baloon_minwidth" id="jform_map_baloon_minwidth-lbl">Ширина</label></span></td>
<td class="paramlist_value"><input type="text" size="10" class="inputbox" value="100" id="jform_map_baloon_minwidth" name="jform[map_baloon_minwidth]"></td>
</tr>

</tbody></table>

		
<?
echo $pane->endPanel();
}

echo $pane->endPane();?>

          </fieldset>
	<div id="autozoom"><p>Для данного участка карты максимальный масштаб - "<span></span>". Устанавливать масштаб больше чем "<span></span>" нет смысла! У Вас установлено "<span></span>". Если отключить опцию автоматического масштабирования и установить масштаб равный "<span></span>" или менье этого значения карта будет отображатся плавно и быстрее!</p></div>

	<div id="autozoomno"><p>Рекомендуется отключить опцию автоматического масштабирования для быстрого и плавного отображения карты! </p></div>
        
		</fieldset>
        </div></td>
 </tr>
	</table>
	</fieldset>
</div>
<div class="clr"></div>


<input type="hidden" name="option" value="com_mapyandex" />
<input type="hidden" name="id" value="<?php echo $this->foobar->id; ?>" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="controller" value="map" />
</form>

